Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sauce::ToProviderClause< ProviderDependency, Scope, ProviderCtor > Class Template Reference

Binds to a provider with a specific constructor, allocating from the heap. More...

`#include <sauce/binder.h>`

Inheritance diagram for sauce::ToProviderClause< ProviderDependency, Scope, ProviderCtor >:

## Public Member Functions
template<typename Allocator >
AllocateFromClause< ProviderDependency, Scope, ProviderCtor, Allocator > | allocatedFrom ()
Public Member Functions inherited from sauce::internal::Clause< ProviderDependency >
Clause< ProviderDependency > & | naming (unsigned int position, std::string const name)
void | setState (ClauseStatePtr state)

## Additional Inherited Members
Protected Member Functions inherited from sauce::internal::Clause< ProviderDependency >
| Clause (ClauseStatePtr state)
ClauseStatePtr | getState ()
Next | pass (Next next)
void | setDynamicName (std::string const name)
void | throwLater (Exception)
void | bindDynamicDependencyName (unsigned int position, std::string const name)

## Detailed Description

### template<typename ProviderDependency, typename Scope, typename ProviderCtor>
class sauce::ToProviderClause< ProviderDependency, Scope, ProviderCtor >

Binds to a provider with a specific constructor, allocating from the heap.

The documentation for this class was generated from the following file:

- sauce/binder.h